Commits

Guan-Zhong Huang committed 88432b4

vcprompt-python: Renamed from vcprompt

Comments (0)

Files changed (8)

vcprompt-python/README

+vcprompt is a small utility for displaying information about version control
+repositories in your prompt (or anywhere).
+vcprompt is aware of the following version control systems:
+- Bazaar
+- CVS
+- Darcs
+- Fossil
+- Git
+- Mercurial
+- Subversion
+
+Because this vcprompt is written in Python, it is renamed to vcprompt-python to
+distinguish from C-implemented vcprompt.

vcprompt-python/slack-desc

+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in.  You must
+# make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+               |-----handy-ruler------------------------------------------------------|
+vcprompt-python: vcprompt-python (Version control information in your prompt)
+vcprompt-python:
+vcprompt-python: Version control information in your prompt. Supported version control
+vcprompt-python: systems are: bzr, cvs, darcs, fossil, git, hg, svn.
+vcprompt-python:
+vcprompt-python:
+vcprompt-python:
+vcprompt-python:
+vcprompt-python: Home page: https://github.com/djl/vcprompt
+vcprompt-python:
+vcprompt-python:

vcprompt-python/vcprompt-python.SlackBuild

+#!/bin/sh
+
+# Slackware build script for vcprompt-python
+
+# Copyright 2012  Guan-Zhong Huang, Taiwan <imprazaguy@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=vcprompt-python
+VERSION=${VERSION:-0.1.4.135}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=djl-vcprompt
+FULL_VERSION=v0.1.4-135-gf18cfcd
+COMMIT_ID=f18cfcd47e20673b513def197696495cbb0225a1
+SRCDIR=$SRCNAM-$(echo $COMMIT_ID | cut -b-7)
+
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) ARCH=i486 ;;
+    arm*) ARCH=arm ;;
+       *) ARCH=$( uname -m ) ;;
+  esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  LIBDIRSUFFIX="64"
+else
+  LIBDIRSUFFIX=""
+fi
+
+# Force noarch
+ARCH=noarch
+
+set -eu 
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCDIR
+# Because wget may ignore Content-Disposition header, the downloaded filename
+# may be different. Check that and choose the right filename.
+if [ -r "$CWD/$SRCNAM-$FULL_VERSION.tar.gz" ]; then
+  tar xvf $CWD/$SRCNAM-$FULL_VERSION.tar.gz
+elif [ -r "$CWD/$COMMIT_ID" ]; then
+  tar xvf $CWD/$COMMIT_ID
+fi
+cd $SRCDIR
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+python setup.py install --root=$PKG
+
+# Remove unnecessary files
+rm -rf $PKG/usr/lib${LIBDIRSUFFIX}
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+  README.markdown \
+  $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}

vcprompt-python/vcprompt-python.info

+PRGNAM="vcprompt-python"
+VERSION="0.1.4.135"
+HOMEPAGE="https://github.com/djl/vcprompt"
+DOWNLOAD="https://github.com/djl/vcprompt/tarball/v0.1.4-135-gf18cfcd"
+MD5SUM="8ca535cbfc053a2789a7d88fe268c3a0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Guan-Zhong Huang"
+EMAIL="imprazaguy@gmail.com"
+APPROVED=""

vcprompt/README

-vcprompt is a small utility for displaying information about version control
-repositories in your prompt (or anywhere).
-vcprompt is aware of the following version control systems:
-- Bazaar
-- CVS
-- Darcs
-- Fossil
-- Git
-- Mercurial
-- Subversion

vcprompt/slack-desc

-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description.  Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in.  You must
-# make exactly 11 lines for the formatting to be correct.  It's also
-# customary to leave one space after the ':' except on otherwise blank lines.
-
-        |-----handy-ruler------------------------------------------------------|
-vcprompt: vcprompt (Version control information in your prompt)
-vcprompt:
-vcprompt: Version control information in your prompt. Supported version control
-vcprompt: systems are: bzr, cvs, darcs, fossil, git, hg, svn.
-vcprompt:
-vcprompt:
-vcprompt:
-vcprompt:
-vcprompt: Home page: https://github.com/djl/vcprompt
-vcprompt:
-vcprompt:

vcprompt/vcprompt.SlackBuild

-#!/bin/sh
-
-# Slackware build script for vcprompt
-
-# Copyright 2012  Guan-Zhong Huang, Taiwan <imprazaguy@gmail.com>
-# All rights reserved.
-#
-# Redistribution and use of this script, with or without modification, is
-# permitted provided that the following conditions are met:
-#
-# 1. Redistributions of this script must retain the above copyright
-#    notice, this list of conditions and the following disclaimer.
-#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
-# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
-# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-PRGNAM=vcprompt
-VERSION=${VERSION:-0.1.4.135}
-BUILD=${BUILD:-1}
-TAG=${TAG:-_SBo}
-
-SRCNAM=djl-vcprompt
-FULL_VERSION=v0.1.4-135-gf18cfcd
-COMMIT_ID=f18cfcd47e20673b513def197696495cbb0225a1
-SRCDIR=$SRCNAM-$(echo $COMMIT_ID | cut -b-7)
-
-if [ -z "$ARCH" ]; then
-  case "$( uname -m )" in
-    i?86) ARCH=i486 ;;
-    arm*) ARCH=arm ;;
-       *) ARCH=$( uname -m ) ;;
-  esac
-fi
-
-CWD=$(pwd)
-TMP=${TMP:-/tmp/SBo}
-PKG=$TMP/package-$PRGNAM
-OUTPUT=${OUTPUT:-/tmp}
-
-if [ "$ARCH" = "i486" ]; then
-  LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i686" ]; then
-  LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
-  LIBDIRSUFFIX="64"
-else
-  LIBDIRSUFFIX=""
-fi
-
-# Force noarch
-ARCH=noarch
-
-set -eu 
-
-rm -rf $PKG
-mkdir -p $TMP $PKG $OUTPUT
-cd $TMP
-rm -rf $SRCDIR
-# Because wget may ignore Content-Disposition header, the downloaded filename
-# may be different. Check that and choose the right filename.
-if [ -r "$CWD/$SRCNAM-$FULL_VERSION.tar.gz" ]; then
-  tar xvf $CWD/$SRCNAM-$FULL_VERSION.tar.gz
-elif [ -r "$CWD/$COMMIT_ID" ]; then
-  tar xvf $CWD/$COMMIT_ID
-fi
-cd $SRCDIR
-chown -R root:root .
-find . \
- \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
-
-python setup.py install --root=$PKG
-
-# Remove unnecessary files
-rm -rf $PKG/usr/lib${LIBDIRSUFFIX}
-
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
-  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-
-find $PKG/usr/man -type f -exec gzip -9 {} \;
-for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a \
-  README.markdown \
-  $PKG/usr/doc/$PRGNAM-$VERSION
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-
-mkdir -p $PKG/install
-cat $CWD/slack-desc > $PKG/install/slack-desc
-
-cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}

vcprompt/vcprompt.info

-PRGNAM="vcprompt"
-VERSION="0.1.4.135"
-HOMEPAGE="https://github.com/djl/vcprompt"
-DOWNLOAD="https://github.com/djl/vcprompt/tarball/v0.1.4-135-gf18cfcd"
-MD5SUM="8ca535cbfc053a2789a7d88fe268c3a0"
-DOWNLOAD_x86_64=""
-MD5SUM_x86_64=""
-MAINTAINER="Guan-Zhong Huang"
-EMAIL="imprazaguy@gmail.com"
-APPROVED=""